## ros-kinetic-kobuki-driver 0.7.10

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(kobuki_driver)

##############################################################################
# Catkin
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_console
        ecl_mobile_robot
        ecl_converters
        ecl_devices
        ecl_geometry
        ecl_sigslots
        ecl_time
        ecl_command_line
)

##############################################################################
# Exports
##############################################################################

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES kobuki
    CATKIN_DEPENDS
        ecl_command_line
        ecl_console
        ecl_converters
        ecl_devices
        ecl_geometry
        ecl_mobile_robot
        ecl_sigslots
        ecl_time
)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_subdirectory(src)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-kobuki-driver (0.7.10-1xenial) xenial; urgency=high

  * [firmware] recommended version checking for 1.1.4 and 1.2.0

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 13 Sep 2020 04:00:00 -0000

ros-kinetic-kobuki-driver (0.7.7-1xenial) xenial; urgency=high

  * accel limiter variable initialisation bugfix

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 29 Mar 2017 04:00:00 -0000

ros-kinetic-kobuki-driver (0.7.6-1xenial) xenial; urgency=high

  * doxygen updates

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 27 Mar 2017 04:00:00 -0000

ros-kinetic-kobuki-driver (0.7.4-1xenial) xenial; urgency=high

  * drop spurious debugging cmake message that was throwing warnings

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-kinetic-kobuki-driver (0.7.2-1xenial) xenial; urgency=high

  * Pose2D -> LegacyPose2D

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 09 Nov 2016 05:00:00 -0000

ros-kinetic-kobuki-driver (0.7.1-1xenial) xenial; urgency=high

  * isnan -> std::isnan

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 06 May 2016 04:00:00 -0000

ros-kinetic-kobuki-driver (0.6.3-1xenial) xenial; urgency=high

  * bugfix cliff header packet

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 06 May 2016 04:00:00 -0000

ros-kinetic-kobuki-driver (0.6.2-1xenial) xenial; urgency=high

  * enable the cx11 compiler

 -- Daniel Stonier <stonier@yujinrobot.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-kinetic-kobuki-driver (0.6.0-1xenial) xenial; urgency=high

  * add linear and angular test plot image
  * kobuki_driver : Updated doxygen. Issue #10 <https://github.com/yujinrobot/kobuki_core/issues/10>.
  * Contributors: Younghun Ju, jihoonl

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-driver (0.5.3-1xenial) xenial; urgency=high

  * Updated doxygen documentation.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-driver (0.5.2-1xenial) xenial; urgency=high

  * Documentation and other text files reviewed.

 -- Daniel Stonier <stonier@yujinrobot.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-driver (0.5.1-1xenial) xenial; urgency=high

  * Updated license info.
  * Updated doxygen in the code.
  * Update firmware_changelog.md.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-driver (0.5.0-1xenial) xenial; urgency=high

  * Added debug topic of raw control command of robot.
  * Removed debugging message.
  * Updated doxygen about factory-default value of PID gain.
  * Add firmware version checking on PID commands.
  * Updated protocol specification in doxygen about custom PID gain setting.
  * Updated doxygen script to let user do something when authentification of repository is failed.
  * Bump minor version for firmware (new version is 1.2.0).
  * Improved packet integrity checking. Issue #245 <https://github.com/yujinrobot/kobuki/issues/245>.
  * Added new protocol about custom PID gain setting. Issue #249 <https://github.com/yujinrobot/kobuki/issues/249>.
  * Updated doxygen.
  * Removed ros logging code.
  * Removed meaningless buffer size check in serialization of command packet.
  * Fixed typo; mayor --> major.
  * Added integrity check for each packets.
  * Removed old printf codes.
  * Removed meaningless buffer size check in serialization of packets.
  * Fixed typo on update_doxygen.bash script.
  * Added extra url info on all packages.
  * Added brief description of update_doxygen.bash script.
  * Added convenient script for automated update of doxygen document to the github.io page.
  * Updated doxygen.
  * Updated old rnd email address.
  * Removed SetPower command packet from doxygen. It is not for external powers and unnecessary for kobuki.
  * Corrected typos on doxygen about external power.
  * lock api for protecting data access with asynchronous getXXX calls.
  * Fix URL to the previous changelog wiki
  * Changelogs at package level
  * Reset odometry also for heading
  * Updated raw_control_command topic to publish recevied command velocity also.
  * Added a debug topic that publish actual base command sent to robot.
  * Added simple_keyop application to control kobuki directly from keyboard without ROS.
  * Fixed broken synchronity of base control command caused by recent bugfix of acceleration limiter module.
  * Added flexible logging features to using named logging system of ros/log4cxx.
  * Reset odometry also works for heading (gyro).
  * Do not use robot_pose_ekf; use imu for heading and encoders for position.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-driver (0.4.0-1xenial) xenial; urgency=high

  * Windows compatible.
  * Update doxygen documentation for using wstool and for windows compilation.
  * New scripts to help serve firmware and windows downloads from our file server.
  * Delay demo program finish so kobuki can beep alive.
  * Serial connection made much more robust.
  * Install using wstool
  * Update firmware_changelog.md with latest verions and rewrite with for markdown formatting.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-driver
Section: misc
Priority: optional
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-console, ros-kinetic-ecl-converters, ros-kinetic-ecl-devices, ros-kinetic-ecl-geometry, ros-kinetic-ecl-mobile-robot, ros-kinetic-ecl-sigslots, ros-kinetic-ecl-time
Homepage: http://ros.org/wiki/kobuki_driver
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-command-line, ros-kinetic-ecl-console, ros-kinetic-ecl-converters, ros-kinetic-ecl-devices, ros-kinetic-ecl-geometry, ros-kinetic-ecl-mobile-robot, ros-kinetic-ecl-sigslots, ros-kinetic-ecl-time
Description: C++ driver library for Kobuki: Pure C++ driver library for Kobuki.
 This is for those who do not wish to use ROS on their systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
